com.hazelcast.config

## Enum WANQueueFullBehavior

- java.lang.Object
- - java.lang.Enum<WANQueueFullBehavior>
  - - com.hazelcast.config.WANQueueFullBehavior

- All Implemented Interfaces:
    Serializable, Comparable<WANQueueFullBehavior>

      public enum WANQueueFullBehavior
      extends Enum<WANQueueFullBehavior>

  Determines the behavior of WAN replication impl. In case of WAN event queues are full.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISCARD_AFTER_MUTATION` Instruct WAN replication implementation to drop new events when WAN event queues are full.
    `THROW_EXCEPTION` Instruct WAN replication implementation to throw an exception and doesn't allow further processing.
    `THROW_EXCEPTION_ONLY_IF_REPLICATION_ACTIVE` Similar to `THROW_EXCEPTION` but only throws exception when WAN replication is active.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WANQueueFullBehavior` | `getByType(int id)` Returns the WANQueueFullBehavior as an enum.
    `int` | `getId()` Gets the ID for the given `WANQueueFullBehavior`.
    `static WANQueueFullBehavior` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WANQueueFullBehavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISCARD_AFTER_MUTATION

          public static final WANQueueFullBehavior DISCARD_AFTER_MUTATION

      Instruct WAN replication implementation to drop new events when WAN event queues are full.

    - #### THROW_EXCEPTION

          public static final WANQueueFullBehavior THROW_EXCEPTION

      Instruct WAN replication implementation to throw an exception and doesn't allow further processing.

    - #### THROW_EXCEPTION_ONLY_IF_REPLICATION_ACTIVE

          public static final WANQueueFullBehavior THROW_EXCEPTION_ONLY_IF_REPLICATION_ACTIVE

      Similar to `THROW_EXCEPTION` but only throws exception when WAN replication is active. Discards the new events if WAN replication is stopped.

  - ### Method Detail

    - #### values

          public static WANQueueFullBehavior[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WANQueueFullBehavior c : WANQueueFullBehavior.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WANQueueFullBehavior valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public int getId()

      Gets the ID for the given `WANQueueFullBehavior`.

      The reason this ID is used instead of an the ordinal value is that the ordinal value is more prone to changes due to reordering.

      Returns:
        the ID

    - #### getByType

          public static WANQueueFullBehavior getByType(int id)

      Returns the WANQueueFullBehavior as an enum.
      Returns:
        the WANQueueFullBehavior as an enum

Copyright © 2020. All rights reserved.